> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get semantic reference suggestions

POST https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/semantic/reference-suggestions
Content-Type: application/vnd.contentful.management.v1+json

This endpoint returns suggested entries that you can reference in a given field based on semantic relevance.

Reference: https://contentful.com/developers/docs/references/content-management-api/content-semantics/get-semantic-reference-suggestions

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Request**

```json
{
  "entityId": "string",
  "filter": {
    "contentTypeIds": [
      "string"
    ],
    "entityType": "Entry"
  },
  "referenceFieldId": "string"
}
```

**Response**

```json
{
  "items": [
    {
      "sys": {
        "entity": {
          "sys": {
            "id": "myEntry",
            "linkType": "Entry",
            "type": "Link"
          }
        },
        "environment": {
          "sys": {
            "id": "master",
            "linkType": "Environment",
            "type": "Link"
          }
        },
        "space": {
          "sys": {
            "id": "mySpace",
            "linkType": "Space",
            "type": "Link"
          }
        },
        "type": "SemanticReferenceSuggestionsResult"
      }
    }
  ],
  "sys": {
    "type": "Array"
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
SDK currently doesn't implement this endpoint.
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```